Last Comment Bug 846551 - The unread count on the chat toolbar button is ugly and unreadable on a Mac retina screen
: The unread count on the chat toolbar button is ugly and unreadable on a Mac r...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 23.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-28 15:41 PST by Florian Quèze [:florian] [:flo]
Modified: 2013-04-13 05:12 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot of the chat toolbarbutton (9.43 KB, image/png)
2013-02-28 15:41 PST, Florian Quèze [:florian] [:flo]
no flags Details
proposed fix (3.52 KB, patch)
2013-03-02 11:14 PST, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
Screenshot of the chat toolbarbutton on Windows XP (4.66 KB, image/png)
2013-03-23 04:30 PDT, Benedikt Pfeifer [:Mic]
no flags Details
patch v2 (3.75 KB, patch)
2013-03-25 12:27 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
screenshot with latest patch applied (8.76 KB, image/png)
2013-03-25 12:28 PDT, Richard Marti (:Paenglab)
no flags Details
patch v2 unbitrotted (3.71 KB, patch)
2013-03-26 13:40 PDT, Richard Marti (:Paenglab)
mconley: review+
mconley: ui‑review+
Details | Diff | Splinter Review

Description Florian Quèze [:florian] [:flo] 2013-02-28 15:41:41 PST
Created attachment 719726 [details]
Screenshot of the chat toolbarbutton

See attached screenshot.

I'm not completely sure if the red circle is too large or the font size too small (or even both):
- I think the circle is too big because I think I'm supposed to still be able to see the icon
- I also think the font size is too small because the number is completely unreadable at such a small size (it's half the size in both width and height when actually displayed on the retina screen).
Comment 1 Richard Marti (:Paenglab) 2013-03-02 11:14:29 PST
Created attachment 720310 [details] [diff] [review]
proposed fix

The badge is also on LoDPI to big. I've tweaked some values to let the badge be always 11px * 11px. Under OSX I made the font 0.7em instead of 0.6em.

Florian, I gave you f? to check how it looks under HiDPI.
Comment 2 Benedikt Pfeifer [:Mic] 2013-03-23 04:30:51 PDT
Created attachment 728606 [details]
Screenshot of the chat toolbarbutton on Windows XP

This problem isn't limited to Macs either. The look on Windows (XP), shame on me;) is terrible too! See the Windows screenshot.
Comment 3 Mike Conley (:mconley) - (needinfo me!) 2013-03-23 11:30:50 PDT
Paenglab - can you please post screenshots of the badges for each platform?
Comment 4 Richard Marti (:Paenglab) 2013-03-25 12:27:37 PDT
Created attachment 729139 [details] [diff] [review]
patch v2

I saw on various Linux with different font height also different badge height because of the setting of 0.6em (it varied on the different platforms between 7.2px and 7.8px). I set now a fixed height of 8px. The other changes are needed to be correct with the fixed height.
Comment 5 Richard Marti (:Paenglab) 2013-03-25 12:28:29 PDT
Created attachment 729142 [details]
screenshot with latest patch applied
Comment 6 Richard Marti (:Paenglab) 2013-03-26 13:40:42 PDT
Created attachment 729773 [details] [diff] [review]
patch v2 unbitrotted

Patch unbitrotted after landing of Bug 844599.
Comment 7 Mike Conley (:mconley) - (needinfo me!) 2013-04-08 22:46:37 PDT
Comment on attachment 729773 [details] [diff] [review]
patch v2 unbitrotted

Review of attachment 729773 [details] [diff] [review]:
-----------------------------------------------------------------

Yes, I think this looks far far better. Thank you, Richard!
Comment 8 Ryan VanderMeulen [:RyanVM] 2013-04-13 05:12:43 PDT
https://hg.mozilla.org/comm-central/rev/f601c38e6fe7

Note You need to log in before you can comment on or make changes to this bug.